Bug 109650 - GDM does not save session preferences
GDM does not save session preferences
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-10 12:44 EST by Mike Lee
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-11 18:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Lee 2003-11-10 12:44:50 EST
Description of problem:

Before logging in via the GDM graphical interface, GDM does not save
the "Session" choice.  For instance, if I select KDE as my session and
then after logging out and then log back in, it sets my session to the
GNOME desktop.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Select KDE as your session at the GDM login screen
2. Log in with your user credentials
3. Log out of KDE
4. Don't select a session at the GDM and provide login credential.
   This will set your session to GNOME instead of KDE.

Actual results:
Logs into GNOME

Expected results:
Should log into KDE

Additional info:
Comment 1 Adam Pribyl 2003-12-17 13:33:05 EST
GDM saves them in .dmrc but does not read them on log in.
See my comments in bug #109749 for more.
Comment 2 Richard Gill 2004-08-18 14:08:16 EDT
For me, changing "ShowLastSession=false" into "ShowLastSession=true"
in /etc/X11/gdm/gdm.conf seems to do the trick...
Comment 3 Ray Strode [halfline] 2005-05-11 18:12:47 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.